after_routing_handler 0.1.0

  • README.md
  • CHANGELOG.md
  • Installing
  • Versions
  • new58

pub

after_routing_handler

Helps you to update api data after route animation.

Getting Started

For help getting started with Flutter, view our online documentation.

For help on editing package code, view the documentation.

[0.0.1] - TODO: Add release date.

  • TODO: Describe initial release.

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  after_routing_handler: ^0.1.0

2. Install it

You can install packages from the command line:

with Flutter:


$ flutter packages get

Alternatively, your editor might support flutter packages get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:after_routing_handler/after_routing_handler.dart';
  
Version Uploaded Documentation Archive
0.1.0 Oct 17, 2018 Go to the documentation of after_routing_handler 0.1.0 Download after_routing_handler 0.1.0 archive
0.0.9 Oct 17, 2018 Go to the documentation of after_routing_handler 0.0.9 Download after_routing_handler 0.0.9 archive
0.0.8 Oct 17, 2018 Go to the documentation of after_routing_handler 0.0.8 Download after_routing_handler 0.0.8 archive
0.0.7 Oct 17, 2018 Go to the documentation of after_routing_handler 0.0.7 Download after_routing_handler 0.0.7 archive
0.0.6 Oct 17, 2018 Go to the documentation of after_routing_handler 0.0.6 Download after_routing_handler 0.0.6 archive
0.0.5 Oct 17, 2018 Go to the documentation of after_routing_handler 0.0.5 Download after_routing_handler 0.0.5 archive
0.0.4 Oct 17, 2018 Go to the documentation of after_routing_handler 0.0.4 Download after_routing_handler 0.0.4 archive
0.0.3 Oct 17, 2018 Go to the documentation of after_routing_handler 0.0.3 Download after_routing_handler 0.0.3 archive
0.0.2 Oct 17, 2018 Go to the documentation of after_routing_handler 0.0.2 Download after_routing_handler 0.0.2 archive
0.0.1 Oct 5, 2018 Go to the documentation of after_routing_handler 0.0.1 Download after_routing_handler 0.0.1 archive
Popularity:
Describes how popular the package is relative to other packages. [more]
28
Health:
Code health derived from static analysis. [more]
100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
70
Overall:
Weighted score of the above. [more]
58
Learn more about scoring.

We analyzed this package on Oct 17, 2018, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.0.0
  • pana: 0.12.4
  • Flutter: 0.9.5

Platforms

Detected platforms: Flutter

References Flutter, and has no conflicting libraries.

Maintenance suggestions

The description is too short. (-20 points)

Add more detail about the package, what it does and what is its target use case. Try to write at least 60 characters.

Maintain an example. (-10 points)

Create a short demo in the example/ directory to show how to use this package. Common file name patterns include: main.dart, example.dart or you could also use after_routing_handler.dart.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.0.0-dev.68.0 <3.0.0
flutter 0.0.0
Transitive dependencies
collection 1.14.11
meta 1.1.6
sky_engine 0.0.99
typed_data 1.1.6
vector_math 2.0.8
Dev dependencies
flutter_test
mockito ^3.0.0